/*================================================================================================*
 * Команды и данные по протоколу TCP/IP (lip sockets)
 *================================================================================================*/

#include "global.h"
#include "tcpserver.h"

/*================================================================================================*/
/*------------------------------------------------------------------------------------------------*/
void tcpserver_init(void)
    {
    /* LIP must have been initialized! */
    tcpserver_cmd_init();
    tcpserver_data_init();
    }
/*------------------------------------------------------------------------------------------------*/

/*------------------------------------------------------------------------------------------------*/
void tcpserver_hangup(void)
    {
    tcpserver_data_hangup();
    tcpserver_cmd_hangup();
    }
/*------------------------------------------------------------------------------------------------*/

/*------------------------------------------------------------------------------------------------*/
void tcpserver_worker(void)
    {
    tcpserver_cmd_worker();
    tcpserver_data_worker();
    }
/*------------------------------------------------------------------------------------------------*/
/*================================================================================================*/
